commit:     b84741f5db13cdda85aafdcad6a4bea8b7946de0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 14 07:47:03 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Mar 14 07:47:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b84741f5

dev-python/hypothesis: Bump to 6.8.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/hypothesis/Manifest                |  1 +
 dev-python/hypothesis/hypothesis-6.8.1.ebuild | 62 +++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 3ba9b2821b2..cac9644684d 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -7,3 +7,4 @@ DIST hypothesis-python-6.4.3.tar.gz 9113616 BLAKE2B 
f3761a22b574edc0b001a25c836c
 DIST hypothesis-python-6.6.0.tar.gz 9117847 BLAKE2B 
bb88ebee9db53f1c5753730d04e5dfe6a39ac4c5f7d534778b22b813ba188a55de6ad8a34f611f7863d1c3287be39ed7e10981e9d6ed8d8dd106688f154c3a49
 SHA512 
a446b4a11c6ee013225bfcd58e26efc6c9d867545d9bcf90a19468cb01fc5e2c5a7280ff9a80d4a1adbfe06dd155df6152941d5f53869d85e1d259e68a33a5e2
 DIST hypothesis-python-6.7.0.tar.gz 9118149 BLAKE2B 
5c9601e6ffd9f2e20b518fdfc30f74ace1ee906604fca35c942a59370349c1166a1fd229de0bf5d3ebbfc1851fb59f92be65b112aeadc3bd10d4f628e3648e6e
 SHA512 
fd57845f696117eb5d97f533443c60446adb95eb4dabc772c84eed268c2942001fecfc1460b42c2a83fdaec88176ff87a881f925a6e6ab5485b44f0878054d2d
 DIST hypothesis-python-6.8.0.tar.gz 9118818 BLAKE2B 
560220e7224235ae395ef457344c5b998236265d2d4be30be670e8559cb290554313d23da0fc4a16121cb01e0ee39550d3e915cb3e90d3a344b3cbcfe3a34b7d
 SHA512 
cf151ad89e5882fcc97e8fb447ef07deb90de6c9a3d2ab770bc31c156cbf1189f330a8297c8847180c8c98099a759813bd798e727c3f268cc7f87a0a523993f6
+DIST hypothesis-python-6.8.1.tar.gz 9119495 BLAKE2B 
4d98e30a04f652af79dd49e921b856124a312b63f087a6fd200282e9b0a0cd6fcad1a42a6008406bc347f21bf9cd6c5ff2db79d013987281f59365bd9d91550d
 SHA512 
2f25e994438479b5faa15b2038146ab385445bf2722b0951ff55f324b074248d7322c4c6f3e9c659c18d0aa94150eea4c6567a7ac24debf2de4b32bab37a4dcc

diff --git a/dev-python/hypothesis/hypothesis-6.8.1.ebuild 
b/dev-python/hypothesis/hypothesis-6.8.1.ebuild
new file mode 100644
index 00000000000..75d02aad2bd
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.8.1.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{7..9} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 eutils multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis 
https://pypi.org/project/hypothesis/";
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz";
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 
~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+       >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+       >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+       cli? (
+               $(python_gen_cond_dep '
+                       dev-python/black[${PYTHON_USEDEP}]
+                       dev-python/click[${PYTHON_USEDEP}]
+               ' 'python*')
+       )
+"
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pexpect[${PYTHON_USEDEP}]
+               dev-python/pytest-xdist[${PYTHON_USEDEP}]
+               !!<dev-python/typing-3.7.4.1
+       )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+       if ! use cli || [[ ${EPYTHON} != python* ]]; then
+               sed -i -e '/console_scripts/d' setup.py || die
+       fi
+}
+
+python_test() {
+       distutils_install_for_testing
+       epytest tests/cover tests/pytest tests/quality \
+               -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+       optfeature "datetime support" dev-python/pytz
+       optfeature "dateutil support" dev-python/python-dateutil
+       optfeature "numpy support" dev-python/numpy
+       optfeature "django support" dev-python/django dev-python/pytz
+       optfeature "pandas support" dev-python/pandas
+       optfeature "pytest support" dev-python/pytest
+}

Reply via email to